Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationCache

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationCache

extends java.rmi.Remote

This interface define methods to manage cache configuration of server remotely.

Method Summary
`void` | `appendImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` append an image to cache,
`long` | `getAnImageSize(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` get an image size in memory.
`java.util.Vector` | `getCachedCatalogs()` Return the filenames of catelog need to cache.
`java.util.Vector` | `getCachedImages()` Return the filenames of image need to cache.
`java.util.Vector` | `getCachedReports()` Return the filenames of report need to cache.
`java.util.Vector` | `getCachedReportsWithStyles()` Return the filenames and styles of report need to cache.
`boolean` | `getDisplayImageDetail()` Return whether display cached images detail.
`boolean` | `getEnableCacheCatelog()` Return if cache catelog.
`boolean` | `getEnableCacheImage()` Return if cache image.
`boolean` | `getEnableCacheReport()` Return if cache report.
`int` | `getEngineSortBufferSize()` get the size of engine sort buffer from configuration properties
`java.lang.String` | `getImageBelongedCatalog(java.lang.String fullImagePath)`
`int` | `getMaxCacheCatalogSize()` Return the max number of catelogs to be cached.
`int` | `getMaxCacheImageSize()` Return the max number of images to be cached.
`int` | `getMaxCacheReportSize()` Return max number of reports to be cached.
`int` | `getSecurityGroupCacheSize()` Get the security group cache's size
`int` | `getSecurityProectionCacheSize()` Get the security protection cache's size
`int` | `getSecurityRoleCacheSize()` Get the security role cache's size
`int` | `getSecurityUserCacheSize()` Get the security user cache's size
`long` | `getUsedImageCacheSize()` get used image cache size.
`boolean` | `isCacheAllImages()` is cache all images
`boolean` | `isLockedImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` is image locked
`void` | `loadProperties()` set the properties of server
`boolean` | `lockCachedImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` lock a cached image.
`void` | `removeAllImages()` remove all image
`void` | `removeImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` remove an image
`void` | `saveProperties()` Save the modifid setting to config file (server.properties).
`void` | `setCacheAllImages(boolean isCacheAllImages)` set is cache all Images
`boolean` | `setCachedCatalogs(java.lang.String user, java.util.Vector cachedCatalogs)` Set the filenames of catelog need to cache.if set success return truethrows RemoteException;
`boolean` | `setCachedCatalogs(java.util.Vector cachedCatalogs)` Set the filenames of catelog need to cache.if set success return truethrows RemoteException;
`boolean` | `setCachedReports(java.util.Vector cachedReports)` Set the filenames of report need to cache.if set success return truethrows RemoteException;
`boolean` | `setCachedReportsWithStyles(java.lang.String user, java.util.Vector cachedReportsWithStyles)` Set the filenames and styles of report need to cache.if set success return truethrows RemoteException;
`boolean` | `setCachedReportsWithStyles(java.util.Vector cachedReportsWithStyles)` Set the filenames and styles of report need to cache.if set success return truethrows RemoteException;
`void` | `setDisplayImageDetail(boolean isDisplay)` Set whether display cached images detail.
`void` | `setEnableCacheCatelog(boolean isEnableCacheCatelog)` Set if cache catelog.
`void` | `setEnableCacheImage(boolean isEnableCacheImage)` Set if cache image.
`void` | `setEnableCacheReport(boolean isEnableCacheReport)` Set if cache report.
`void` | `setEngineSortBufferSize(int size)` set the size of engine sort buffer.
`void` | `setMaxCacheCatalogSize(int maxCacheCatalog)` Set the max number of catelogs to be cached.
`void` | `setMaxCacheImageSize(int maxCacheImage)` Set the max number of images to be cached.
`void` | `setMaxCacheReportSize(int maxCacheReport)` Set max number of reports to be cached.
`void` | `setSecurityGroupCacheSize(int size)` Set the security group cache's size If set cache's size to zero or negative, it means turn off the security group cache
`void` | `setSecurityProtectionCacheSize(int size)` Set the security protection cache's size If set cache's size to zero or negative, it means turn off the security protection cache
`void` | `setSecurityRoleCacheSize(int size)` Set the security role cache's size If set cache's size to zero or negative, it means turn off the security role cache
`void` | `setSecurityUserCacheSize(int size)` Set the security user cache's size If set cache's size to zero or negative, it means turn off the security user cache
`void` | `unloadCatalogs(java.lang.String user, java.util.Vector catalogNames)` Unload the filenames of catelog form cache.
`void` | `unloadCatalogs(java.util.Vector catalogNames)` Unload the filenames of catelog form cache.
`void` | `unloadReports(java.util.Vector reportNames)` Unload the filenames of report need to cache.
`void` | `unloadReportsWithStyles(java.lang.String user, java.util.Vector reportNamesWithStyles)` Unload the filenames and styles of report need to cache.
`void` | `unloadReportsWithStyles(java.util.Vector reportNamesWithStyles)` Unload the filenames and styles of report need to cache.
`boolean` | `unlockCachedImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` unlock a cached image.

Method Detail

### setEnableCacheCatelog

    void setEnableCacheCatelog(boolean isEnableCacheCatelog)
                               throws java.rmi.RemoteException

  Set if cache catelog.

  Parameters:
    `isEnableCacheCatelog` - if cache catelog.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEnableCacheCatelog

    boolean getEnableCacheCatelog()
                                  throws java.rmi.RemoteException

  Return if cache catelog.

  Returns:
    if cache catelog.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxCacheCatalogSize

    void setMaxCacheCatalogSize(int maxCacheCatalog)
                                throws java.rmi.RemoteException

  Set the max number of catelogs to be cached.

  Parameters:
    `maxCacheCatalog` - the max number of catelogs to be cached.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxCacheCatalogSize

    int getMaxCacheCatalogSize()
                               throws java.rmi.RemoteException

  Return the max number of catelogs to be cached.

  Returns:
    the max number of catelogs to be cached.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableCacheImage

    void setEnableCacheImage(boolean isEnableCacheImage)
                             throws java.rmi.RemoteException

  Set if cache image.

  Parameters:
    `isEnableCacheImage` - if cache image.
  Throws:
    `java.rmi.RemoteException`

### setDisplayImageDetail

    void setDisplayImageDetail(boolean isDisplay)
                               throws java.rmi.RemoteException

  Set whether display cached images detail.

  Parameters:
    `isDisplay` - whether display cached images detail.
  Throws:
    `java.rmi.RemoteException`

### getEnableCacheImage

    boolean getEnableCacheImage()
                                throws java.rmi.RemoteException

  Return if cache image.

  Returns:
    if cache image.
  Throws:
    `java.rmi.RemoteException`

### getDisplayImageDetail

    boolean getDisplayImageDetail()
                                  throws java.rmi.RemoteException

  Return whether display cached images detail.

  Returns:
    whether display cached images detail.
  Throws:
    `java.rmi.RemoteException`

### setMaxCacheImageSize

    void setMaxCacheImageSize(int maxCacheImage)
                              throws java.rmi.RemoteException

  Set the max number of images to be cached.

  Parameters:
    `maxCacheImage` - the max number of images to be cached.
  Throws:
    `java.rmi.RemoteException`

### getMaxCacheImageSize

    int getMaxCacheImageSize()
                             throws java.rmi.RemoteException

  Return the max number of images to be cached.

  Returns:
    the max number of images to be cached.
  Throws:
    `java.rmi.RemoteException`

### setCachedCatalogs

    boolean setCachedCatalogs(java.util.Vector cachedCatalogs)
                              throws java.rmi.RemoteException

  Set the filenames of catelog need to cache.if set success return truethrows RemoteException;

  Parameters:
    `cachedCatalogs` - the the filenames of catelog need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getCachedImages

    java.util.Vector getCachedImages()
                                     throws java.rmi.RemoteException

  Return the filenames of image need to cache.

  Returns:
    the filenames of image need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### appendImage

    void appendImage(java.lang.String catFile,
                     java.lang.String imgFile,
                     java.lang.String user)
                     throws java.rmi.RemoteException

  append an image to cache,

  Parameters:
    `catFile` - : catalog file's full path name
    `imgFileName` - : the filename of image to be appended
    `user` - : the user ID.
  Throws:
    `java.rmi.RemoteException`

### removeImage

    void removeImage(java.lang.String catFile,
                     java.lang.String imgFile,
                     java.lang.String user)
                     throws java.rmi.RemoteException

  remove an image

  Parameters:
    `catFile` - : catalog file's full path name
    `imgFile` - : file name of image to be removed
    `user` - : the user ID.
  Throws:
    `java.rmi.RemoteException`

### removeAllImages

    void removeAllImages()
                         throws java.rmi.RemoteException

  remove all image

  Throws:
    `java.rmi.RemoteException`

### lockCachedImage

    boolean lockCachedImage(java.lang.String catFile,
                            java.lang.String imgFile,
                            java.lang.String user)
                            throws java.rmi.RemoteException

  lock a cached image.

  Parameters:
    `catFile` - : full path name of catalog
    `imgFileName` - : file name of image
    `user` - : the user ID.
  Returns:
    true if lock success, false if the image has locked or lock failed
  Throws:
    `java.rmi.RemoteException`

### unlockCachedImage

    boolean unlockCachedImage(java.lang.String catFile,
                              java.lang.String imgFile,
                              java.lang.String user)
                              throws java.rmi.RemoteException

  unlock a cached image.

  Parameters:
    `catFile` - : full path name of catalog
    `imgFileName` - : file name of image
    `user` - : the user ID.
  Returns:
    true if lock success, false if the image has locked or lock failed
  Throws:
    `java.rmi.RemoteException`

### isLockedImage

    boolean isLockedImage(java.lang.String catFile,
                          java.lang.String imgFile,
                          java.lang.String user)
                          throws java.rmi.RemoteException

  is image locked

  Parameters:
    `catFile` - : full path name of catalog file
    `imgFileName` - : the image file name.
    `user` - : the user ID.
  Returns:
    true if locked, false if 1) not locked, 2) not in cache, 3) not a image file
  Throws:
    `java.rmi.RemoteException`

### getImageBelongedCatalog

    java.lang.String getImageBelongedCatalog(java.lang.String fullImagePath)
                                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### isCacheAllImages

    boolean isCacheAllImages()
                             throws java.rmi.RemoteException

  is cache all images

  Returns:
    true if cache all images, false if not.
  Throws:
    `java.rmi.RemoteException`

### setCacheAllImages

    void setCacheAllImages(boolean isCacheAllImages)
                           throws java.rmi.RemoteException

  set is cache all Images

  Throws:
    `java.rmi.RemoteException`

### getUsedImageCacheSize

    long getUsedImageCacheSize()
                               throws java.rmi.RemoteException

  get used image cache size.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getAnImageSize

    long getAnImageSize(java.lang.String catFile,
                        java.lang.String imgFile,
                        java.lang.String user)
                        throws java.rmi.RemoteException

  get an image size in memory.

  Parameters:
    `catFile` - : full path name of catalog file, such as /SampleReports/Sample.cat
    `imgFileName` - : the image file name.
    `user` - : the user ID.
  Returns:
    image size in memory.
  Throws:
    `java.rmi.RemoteException`

### setCachedCatalogs

    boolean setCachedCatalogs(java.lang.String user,
                              java.util.Vector cachedCatalogs)
                              throws java.rmi.RemoteException

  Set the filenames of catelog need to cache.if set success return truethrows RemoteException;

  Parameters:
    `cachedCatalogs` - the the filenames of catelog need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getCachedCatalogs

    java.util.Vector getCachedCatalogs()
                                       throws java.rmi.RemoteException

  Return the filenames of catelog need to cache.

  Returns:
    the filenames of catelog need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableCacheReport

    void setEnableCacheReport(boolean isEnableCacheReport)
                              throws java.rmi.RemoteException

  Set if cache report.

  Parameters:
    `isEnableCacheReport` - if cache report.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEnableCacheReport

    boolean getEnableCacheReport()
                                 throws java.rmi.RemoteException

  Return if cache report.

  Returns:
    if cache report.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxCacheReportSize

    void setMaxCacheReportSize(int maxCacheReport)
                               throws java.rmi.RemoteException

  Set max number of reports to be cached.

  Parameters:
    `maxCacheReport` - max number of reports to be cached.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxCacheReportSize

    int getMaxCacheReportSize()
                              throws java.rmi.RemoteException

  Return max number of reports to be cached.

  Returns:
    max number of reports to be cached.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setCachedReports

    boolean setCachedReports(java.util.Vector cachedReports)
                             throws java.rmi.RemoteException

  Set the filenames of report need to cache.if set success return truethrows RemoteException;

  Parameters:
    `cachedReports` - the filenames of report need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setCachedReportsWithStyles

    boolean setCachedReportsWithStyles(java.util.Vector cachedReportsWithStyles)
                                       throws java.rmi.RemoteException

  Set the filenames and styles of report need to cache.if set success return truethrows RemoteException;

  Parameters:
    `cachedReportsWithStyles` - the filenames and styles of report need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setCachedReportsWithStyles

    boolean setCachedReportsWithStyles(java.lang.String user,
                                       java.util.Vector cachedReportsWithStyles)
                                       throws java.rmi.RemoteException

  Set the filenames and styles of report need to cache.if set success return truethrows RemoteException;

  Parameters:
    `cachedReportsWithStyles` - the filenames and styles of report need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getCachedReports

    java.util.Vector getCachedReports()
                                      throws java.rmi.RemoteException

  Return the filenames of report need to cache.

  Returns:
    the filenames of report need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getCachedReportsWithStyles

    java.util.Vector getCachedReportsWithStyles()
                                                throws java.rmi.RemoteException

  Return the filenames and styles of report need to cache.

  Returns:
    the filenames and styles of report need to cache.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### unloadCatalogs

    void unloadCatalogs(java.util.Vector catalogNames)
                        throws java.rmi.RemoteException

  Unload the filenames of catelog form cache.

  Parameters:
    `catalogNames` - the Vector which is filenames of catelog need to unload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### unloadCatalogs

    void unloadCatalogs(java.lang.String user,
                        java.util.Vector catalogNames)
                        throws java.rmi.RemoteException

  Unload the filenames of catelog form cache.

  Parameters:
    `catalogNames` - the Vector which is filenames of catelog need to unload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### unloadReports

    void unloadReports(java.util.Vector reportNames)
                       throws java.rmi.RemoteException

  Unload the filenames of report need to cache.

  Parameters:
    `reportNames` - the Vector which is filenames of report need to unload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### unloadReportsWithStyles

    void unloadReportsWithStyles(java.util.Vector reportNamesWithStyles)
                                 throws java.rmi.RemoteException

  Unload the filenames and styles of report need to cache.

  Parameters:
    `reportNamesWithStyles` - the Vector which is filenames and styles of report need to unload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### unloadReportsWithStyles

    void unloadReportsWithStyles(java.lang.String user,
                                 java.util.Vector reportNamesWithStyles)
                                 throws java.rmi.RemoteException

  Unload the filenames and styles of report need to cache.

  Parameters:
    `reportNamesWithStyles` - the Vector which is filenames and styles of report need to unload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSecurityUserCacheSize

    void setSecurityUserCacheSize(int size)
                                  throws java.rmi.RemoteException

  Set the security user cache's size If set cache's size to zero or negative, it means turn off the security user cache

  Parameters:
    `size` -
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSecurityUserCacheSize

    int getSecurityUserCacheSize()
                                 throws java.rmi.RemoteException

  Get the security user cache's size

  Returns:
    the security user cache's size
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSecurityRoleCacheSize

    void setSecurityRoleCacheSize(int size)
                                  throws java.rmi.RemoteException

  Set the security role cache's size If set cache's size to zero or negative, it means turn off the security role cache

  Parameters:
    `size` -
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSecurityRoleCacheSize

    int getSecurityRoleCacheSize()
                                 throws java.rmi.RemoteException

  Get the security role cache's size

  Returns:
    the security role cache's size
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSecurityGroupCacheSize

    void setSecurityGroupCacheSize(int size)
                                   throws java.rmi.RemoteException

  Set the security group cache's size If set cache's size to zero or negative, it means turn off the security group cache

  Parameters:
    `size` -
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSecurityGroupCacheSize

    int getSecurityGroupCacheSize()
                                  throws java.rmi.RemoteException

  Get the security group cache's size

  Returns:
    the security group cache's size
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSecurityProtectionCacheSize

    void setSecurityProtectionCacheSize(int size)
                                        throws java.rmi.RemoteException

  Set the security protection cache's size If set cache's size to zero or negative, it means turn off the security protection cache

  Parameters:
    `size` -
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSecurityProectionCacheSize

    int getSecurityProectionCacheSize()
                                      throws java.rmi.RemoteException

  Get the security protection cache's size

  Returns:
    the security protection cache's size
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  set the properties of server

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### saveProperties

    void saveProperties()
                        throws java.rmi.RemoteException

  Save the modifid setting to config file (server.properties).

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEngineSortBufferSize

    int getEngineSortBufferSize()
                                throws java.rmi.RemoteException

  get the size of engine sort buffer from configuration properties

  Throws:
    `java.rmi.RemoteException`

### setEngineSortBufferSize

    void setEngineSortBufferSize(int size)
                                 throws java.rmi.RemoteException

  set the size of engine sort buffer.

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD